Subject: bug#65766: 29.1; On MS-Windows, Pcomplete for Git subcommands opens a web browser instead of listing completions(?!)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Sep 2023 14:13:33 +0300

> Date: Tue, 5 Sep 2023 13:01:46 -0700
> From: Jim Porter <[email-masked]>
> 
> This is pretty weird, but I think I know what's happening here. On 
> MS-Windows, start from "emacs -Q -f shell" and then type:
> 
>    git add -<TAB>
> 
> Instead of showing the list of completions, this opens up a web browser 
> to the URL 
> <file:///C:/Program%20Files/Git/mingw64/share/doc/git-doc/git-add.html> 
> (or wherever you installed Git).
> 
> That's because usually, MS-Windows users don't have "man" installed, so 
> Git opts to show its man pages in a web browser. I think when getting 
> Pcomplete info from Help for Git, we should pass '--man' on the command 
> line to force Git to use the format we expect (or at least to error out 
> so that it doesn't open the web browser).

Fine by me.  Bonus points for detecting that the Info manual for Git
is installed (I have one), and using that instead of man pages for
completion.